#include <string.h>

enum Availability
{
  InStock,
  SpecialOrder,
  OutOfPrint
};

typedef enum Availability Availability;

struct Entry
{
  char Name[16];
  unsigned int Number;
  float Price;
  Availability Available;
};

typedef struct Entry Entry;

struct BasketEntry
{
  unsigned int Number;
  unsigned int Count;
};

typedef struct BasketEntry BasketEntry;

int main( void )
{
  Entry a = {"abc", 45, 2.7f, OutOfPrint};
  strcpy(a.Name, "test");
  a.Number = 1234;
  a.Price = 3.14f;
  a.Available = SpecialOrder;
  
  Entry c[] = { {"cde", 456, 2.71f, SpecialOrder},
                {"test", 12, 10.0f, OutOfPrint},
                {"def", 4567, 3.71f, InStock} };
  
  BasketEntry b[] = { {456, 2}, {4567, 3}, {12, 30}  };

  float p = 0.0f;
  for(int i = 0; i < 3; i++)
  {
    for(int j = 0; j < 3; j++)
    {
      if(b[i].Number == c[j].Number && c[j].Available != OutOfPrint)
      {
        p += c[j].Price * b[i].Count;
      }
    }    
  }
  
  return 0;
}
